package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.PersonRoleInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface PersonRoleInfoService {
	PersonRoleInfo get(String id);
	boolean exist(String id);
	int insert(PersonRoleInfo model);
	int update(PersonRoleInfo model);
	int delete(String id);
	List<PersonRoleInfo> list();
	List<PersonRoleInfo> findParentId(String parentId);
	Page<PersonRoleInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	List<PersonRoleInfo> findBySceneId(String sceneId);
	PersonRoleInfo findByRoleNameAndSceneId(String roleName,String sceneId);
    List<PersonRoleInfo> findAll();
}